@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;600&display=swap');

html {
    font-size: 16px;
    font-family: 'Inter', sans-serif;
}

.display1 {
    font-size: 24px;
    line-height: 110%;
    font-weight: 600;
}

.display2 {
    margin-top: 4px;
    font-weight: 300;
    font-size: 18px;
}

/* Fluid typography formula */
/* unit in rem or px */
/* font-size: calc([minimum size with unit] + ([maximum size without unit] - [minimum size without unit]) * ((100vw - [minimum viewport width unit]) / ([maximum viewport width without unit] - [minimum viewport width without unit]))); */

@media (min-width: 360px) {
    .display1 {
        font-size: calc(24px + (40 - 24) * ((100vw - 360px) / (768 - 360)));
    }

    .display2 {
        font-size: calc(18px + (26 - 18) * ((100vw - 360px) / (768 - 360)));
    }
}

@media (min-width: 768px) {
    .display1 {
        font-size: 40px;
    }

    .display2 {
        font-size: 26px;
    }
}

.copy {
    font-size: 1rem;
}

.copy-small {
    font-size: 0.875rem;
}

.page-container {
    display: flex;
    flex-direction: column;
    gap: 0;
    min-height: 100vh;
    min-width: 100vw;
    background-color: #eee;
    color: #333;
}

.header-container {
    background-color: #fff;
    padding: 32px 24px;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

@media (min-width: 440px) {
    .header-container {
        padding: 40px 40px;
    }
}

@media (min-width: 1200px) {
    .header-container {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }
}

.social-container {
    display: flex;
    align-items: center;
    gap: 32px;
}

.social-container a:hover {
    position: relative;
    top: 4px;
}

.arrow {
    display: none;
}

@media (min-width: 440px) {
    .arrow {
        display: block;
    }

    .arrow > .svg-inline--fa {
        font-size: 3rem;
        color: #999;
        position: relative;
        top: -0.5rem;
        animation: arrow-anim 1s infinite;
    }

    @keyframes arrow-anim {
        0% {
            left: -0.5rem;
        }
        50% {
            left: 0.5rem;
        }
        100% {
            left: -0.5rem;
        }
    }
}

.social {
    display: flex;
    flex-direction: column;
    gap: 4px;
    align-items: center;
}

.icon {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 63px;
    height: 64px;
    border-radius: 8px;
    color: #eee;
}

.facebook {
    background-color: #3C5A99;
}

.facebook > .svg-inline--fa {
    font-size: 2rem;
}

.whatsapp {
    background-color: #53A045;
}

.whatsapp > .svg-inline--fa {
    font-size: 2.65rem;
}

.email {
    background-color: #8760A1;
}

.email > .svg-inline--fa {
    font-size: 2.1rem;
}

.caption {
    font-size: 0.875rem;
    font-weight: 300;
}

.slideshow {
    display: block;
    background-image: url("kermesse.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    /*border: 3px solid green;*/
    min-height: 75vh;
}

@media (min-width: 1200px) {
    .slideshow {
        min-height: 85vh;
    }
}

.contact a {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    flex-wrap: nowrap;
    padding: 1rem;
    background-color: #fff;
    font-size: 1rem;
    font-weight: bold;
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    border-radius: 0.25rem;
}

.contact a:hover {
    background-color: #333;
    color: #eee;
}

.contact .svg-inline--fa {
    font-size: 1.4rem;
}